/**
 * 
 */
package org.springblade.etl.task.model;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class DaemonTaskConfig {

	/**
	 * id值
	 */
	private String id;
	
	/**
	 * 类型
	 */
	private DaemonTaskType type;
	
	/**
	 * 添加时间
	 */
	private Long addTimeMillis;

	/**
	 * @param id
	 * @param type
	 */
	public DaemonTaskConfig(String id, DaemonTaskType type) {
		super();
		this.id = id;
		this.type = type;
		this.addTimeMillis = System.currentTimeMillis();
	}
	
}
